Search companies
Screen mining companies by a curated set of filterable fields — commodities, geography, exchange listings, market cap, and more. Returns matching companies with the requested columns, or a default column set if none are requested.
Authorization
apiKeyAuth AuthorizationBearer <token>
Organization API key, format pulse_<prefix>_<secret>. Created by an organization admin in Settings -> API Keys.
In: header
Request Body
application/json
Filter-based search request. Combine filter clauses with logic,
and choose response columns with columns.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/companies/search/" \ -H "Content-Type: application/json" \ -d '{}'{ "results": [ { "property1": null, "property2": null } ], "count": 0, "truncated": true}